KDEInit 无法启动“ksystraycmd”错误解决

升级到kubuntu15.04后的kde版本是4.14,用的是Plasma5的版本,比较遗言的有不少软件还没做适配。比如原先的thunderbird的最小化功能MinTrayR就不能最小化到系统状态栏。并且还时不时给我弹窗KDEInit 无法启动“ksystraycmd”错误解决的错误:

KDEInit-could-not-launch-ksystraycmd-error

一直没去找这个问题如何解决。今天无意间竟然解决了,原来是因为开启了”放在系统托盘中”的功能,就导致弹出了这个错误,看来应该还是因为软件没有对plasmashell做兼容吧。稍微查了下原因,原来是因为现在plasmashell已经丢弃这些命令了。原来ksystraycmd是被包含到kde-workspace-bin包里面的,但是如果在ubuntu15.04上安装kde-workspace-bin则会提示如下信息:

显然已经被丢弃了,加上现在kubuntu已经是社区维护了,估计要解决,也不是那么快吧。所以我们只能把自己对于系统托盘的开关给关掉。

不想有这个错误,右键 程序启动器(图标)====>编辑应用程序…====>选择对应的应用,比如我这里是thunderbird ===>去掉 放在系统托盘中 选项。也就是如下配置:

thunderbird-system-tray

PS:其实现在thunderbird已经有新的插件了,可以支持plasmashell的新的系统托盘接口了,虽然对之前的MinTrayR的双击图标打开已经很习惯,但是无奈用不了了。新的最小化插件叫做FireTray,可以之thunderbird的插件里面搜索得到,最小化到系统托盘后,用的是鼠标中键来开启thunderbird。

 

转载请注明: 转载自elkPi.com

本文链接地址: KDEInit 无法启动“ksystraycmd”错误解决

One Response to “KDEInit 无法启动“ksystraycmd”错误解决

发表评论

电子邮件地址不会被公开。 必填项已用*标注